Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000304 [SkyOS 5.0 - Beta] Booting major sometimes 2004-09-21 16:45 2004-10-06 14:58
Reporter Nemo View Status public  
Assigned To robert
Priority normal Resolution fixed  
Status resolved  
Summary 0000304: 7.9 Login Screen Freezes
Description Sometimes when sitting at the login screen for more than 10 seconds or so, it totally freezes and can't be clicked on. I will paste a debug log as a Bugnote.
Additional Information 5.0 Beta 7.9
Tags No tags attached.
Environment
Reported for build
Fixed in build
VersionType
Attached Files

- Relationships

-  Notes
(0000170)
Nemo (reporter)
2004-09-21 16:45

SkyOS v5.0.0-beta8 is booting...
bootpara.c: Kernel options: /kernel.sys /noinstall
Memory summary:
memory.c: Found 190MB memory.
memory.c: init paging...
memory.c: Using 188MB (197132288 byte)
memory.c: Page tables at 0x0024E000
memory.c: Init memory map manager...
memory.c: Useable memory starts at 003F6000. MemoryMap at 0027E000
memory.c: 188444k free. 192512k available
memory.c: 632k kernel code, 200k data, 1024k reserved
memory.c: Init kernel memory allocation interface...
memory.c: init memory interface...
memory.c: init memory interface done.
main.c: Protecting kernel code from bad referenced pointers...
main.c: Kernel code region from 80100000 to 8019E000
main.c: Protection enabled for 158 pages
main.c: Initializing resource manager...
perfman.c: Initializing performance measure points....
uart.c: Detecting serial ports...
debugger.c: Opening device /dev/ser1 for debug output
uart.c: /dev/ser0: Opened with 56700
sched.c: Initializing multitasking environment...
         Using HardRealTime SchedulerClass.
sched.c: Timer set to 100Hz
boot.c: BootScreenInitialize...
boot.c: Initialize fail-safe VGA driver...
boot.c: Initialize VESA2.0 ...
boot.c: Initialize SkyGI ...
skygi.c: Initializeing software driver...
skygi.c: Software driver opened
boot.c: Initialize VESA mode...
skygi.c: Merge Software/Primary driver data
vesa.c: Init
call real mode
call real mode done
vesa.c: Mode Request
vesa.c: VideoModePtr located at C0005FA9 (Seg: 0xC000 Off: 0x5FA9). Phys: 0x000C5FA9
vesa.c: mode 0x0120 available.
vesa.c: mode 0x0121 available.
vesa.c: mode 0x0122 available.
vesa.c: mode 0x0123 available.
vesa.c: mode 0x0124 available.
vesa.c: mode 0x0125 available.
vesa.c: mode 0x0126 available.
vesa.c: mode 0x0127 available.
vesa.c: mode 0x0128 available.
vesa.c: mode 0x0129 available.
vesa.c: mode 0x012A available.
vesa.c: mode 0x012B available.
vesa.c: mode 0x012C available.
vesa.c: mode 0x012D available.
vesa.c: mode 0x012E available.
vesa.c: mode 0x012F available.
vesa.c: mode 0x0130 available.
vesa.c: mode 0x0131 available.
vesa.c: mode 0x0132 available.
vesa.c: mode 0x0133 available.
vesa.c: mode 0x0134 available.
vesa.c: mode 0x0135 available.
vesa.c: mode 0x0136 available.
vesa.c: mode 0x0137 available.
vesa.c: mode 0x0138 available.
vesa.c: mode 0x0139 available.
vesa.c: mode 0x013A available.
vesa.c: mode 0x013B available.
vesa.c: mode 0x013C available.
vesa.c: mode 0x013D available.
vesa.c: mode 0x013E available.
vesa.c: mode 0x013F available.
vesa.c: mode 0x0140 available.
vesa.c: mode 0x0141 available.
vesa.c: mode 0x0142 available.
vesa.c: mode 0x0143 available.
vesa.c: mode 0x0144 available.
vesa.c: mode 0x0145 available.
vesa.c: mode 0x0146 available.
vesa.c: mode 0x0147 available.
vesa.c: mode 0x0148 available.
vesa.c: mode 0x0149 available.
vesa.c: mode 0x0100 available.
vesa.c: mode 0x0101 available.
vesa.c: mode 0x0103 available.
vesa.c: mode 0x0105 available.
vesa.c: mode 0x0107 available.
vesa.c: mode 0x010E available.
vesa.c: mode 0x0111 available.
vesa.c: mode 0x0114 available.
vesa.c: mode 0x0117 available.
vesa.c: mode 0x011A available.
vesa.c: Mode 0x0120x with 320/200 at 8 supported (LFB)
vesa.c: Mode 0x0121x with 320/400 at 8 supported (LFB)
vesa.c: Mode 0x0122x with 640/400 at 8 supported (LFB)
vesa.c: Mode 0x0123x with 640/480 at 8 supported (LFB)
vesa.c: Mode 0x0124x with 800/600 at 8 supported (LFB)
vesa.c: Mode 0x0125x with 1024/768 at 8 supported (LFB)
vesa.c: Mode 0x0126x with 1152/864 at 8 supported (LFB)
vesa.c: Mode 0x0127x with 1280/960 at 8 supported (LFB)
vesa.c: Mode 0x0128x with 1280/1024 at 8 supported (LFB)
vesa.c: Mode 0x0129x with 1400/1050 at 8 supported (LFB)
vesa.c: Mode 0x012Ax with 1600/1200 at 8 supported (LFB)
vesa.c: Mode 0x012Bx with 1792/1344 at 8 supported (LFB)
vesa.c: Mode 0x012Cx with 1856/1392 at 8 supported (LFB)
vesa.c: Mode 0x012Dx with 1920/1440 at 8 supported (LFB)
vesa.c: Mode 0x012Ex with 320/200 at 16 supported (LFB)
vesa.c: Mode 0x012Fx with 320/400 at 16 supported (LFB)
vesa.c: Mode 0x0130x with 640/400 at 16 supported (LFB)
vesa.c: Mode 0x0131x with 640/480 at 16 supported (LFB)
vesa.c: Mode 0x0132x with 800/600 at 16 supported (LFB)
vesa.c: Mode 0x0133x with 1024/768 at 16 supported (LFB)
vesa.c: Mode 0x0134x with 1152/864 at 16 supported (LFB)
vesa.c: Mode 0x0135x with 1280/960 at 16 supported (LFB)
vesa.c: Mode 0x0136x with 1280/1024 at 16 supported (LFB)
vesa.c: Mode 0x0137x with 1400/1050 at 16 supported (LFB)
vesa.c: Mode 0x0138x with 1600/1200 at 16 supported (LFB)
vesa.c: Mode 0x0139x with 1792/1344 at 16 supported (LFB)
vesa.c: Mode 0x013Ax with 1856/1392 at 16 supported (LFB)
vesa.c: Mode 0x013Bx with 1920/1440 at 16 supported (LFB)
vesa.c: Mode 0x013Cx with 320/200 at 32 supported (LFB)
vesa.c: Mode 0x013Dx with 320/400 at 32 supported (LFB)
vesa.c: Mode 0x013Ex with 640/400 at 32 supported (LFB)
vesa.c: Mode 0x013Fx with 640/480 at 32 supported (LFB)
vesa.c: Mode 0x0140x with 800/600 at 32 supported (LFB)
vesa.c: Mode 0x0141x with 1024/768 at 32 supported (LFB)
vesa.c: Mode 0x0142x with 1152/864 at 32 supported (LFB)
vesa.c: Mode 0x0143x with 1280/960 at 32 supported (LFB)
vesa.c: Mode 0x0144x with 1280/1024 at 32 supported (LFB)
vesa.c: Mode 0x0145x with 1400/1050 at 32 supported (LFB)
vesa.c: Mode 0x0146x with 1600/1200 at 32 supported (LFB)
vesa.c: Mode 0x0147x with 1792/1344 at 32 supported (LFB)
vesa.c: Mode 0x0148x with 1856/1392 at 32 supported (LFB)
vesa.c: Mode 0x0149x with 1920/1440 at 32 supported (LFB)
vesa.c: Mode 0x0100x with 640/400 at 8 supported (LFB)
vesa.c: Mode 0x0101x with 640/480 at 8 supported (LFB)
vesa.c: Mode 0x0103x with 800/600 at 8 supported (LFB)
vesa.c: Mode 0x0105x with 1024/768 at 8 supported (LFB)
vesa.c: Mode 0x0107x with 1280/1024 at 8 supported (LFB)
vesa.c: Mode 0x010Ex with 320/200 at 16 supported (LFB)
vesa.c: Mode 0x0111x with 640/480 at 16 supported (LFB)
vesa.c: Mode 0x0114x with 800/600 at 16 supported (LFB)
vesa.c: Mode 0x0117x with 1024/768 at 16 supported (LFB)
vesa.c: Mode 0x011Ax with 1280/1024 at 16 supported (LFB)
vesa.c: Set Mode
vesa.c: Mode not available
skygi.c: Unable to set mode 640/480/24bpp for driver /dev/GFX_VESA
skygi.c: Merge Software/Primary driver data
vesa.c: Init
vesa.c: Mode Request
vesa.c: Set Mode
RF: 16
GF: 8
BF: 0
RM: 8
GM: 8
BM: 8
vesa.c: LFB at fa000000
vesa.c: Screen is 640/480 at 32 bpp
vesa.c: lfb virtual at 0x0C000000. Size: 0x0012CA00
vesa.c: Enable MTRR for 0xFA000000. Size: 0x0012CA00
skygi.c: New graphic mode initialized
         Driver : /dev/GFX_VESA
         Resolution : 640/480 640/480 32 with 60 HZ
         Framebuffer: 0x0C000000
boot.c: BootScreen Initialized at 640x480x32bpp
bootlogo.c: Parsing bootimage...
66 77 8 1
66 77 8 0
bootlog.c: Bootimage loaded. Displaying...
SKY Operating System v5.0.0-beta8 is booting...
Copyright (c) 1996 - 2002 by Szeleney Robert
Build: Sep 18 2004 / 08:41:22 Kernel Version: v5.0.0-beta8
For more information or download see http://www.skyos.org [^]
 
Used bootloader: GRUB
Used bootoptions: /kernel.sys /noinstall
CPU Cache: Enabled (8005003B)
debugger.c: Kernel debugger uses serial device /dev/ser1
            115200,8,n
done
pc.c: cpu is a GenuineIntel
      model is unknown
      stepping : 8
      cache size: 0 KB
      stepping : unknown
      cpuid lev.: 2
      flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 19 21 22 mmx osfxsr 25 26 27 28
tsccounter: 001922D1
new device
new device done
new device done -1687710937
main.c: CPU0 runs at 2607MHZ (2607 cycles per usec)
Memory detected: 197132288 / (188 MB)
32Bit Protected Mode, Virtual Memory, Interrupts and Paging activated
Kernel code is 632KB and uses 197KB intialized data
379424KB non-initialized data. BSS end at 0x0024CA20
main.c: System with ISA bus detected.
init cache
main.c: Initializing scheduler...
main.c: Enabling Interrupts...
main.c: Interrupts enabled...
pcisub.c: Scanning PCI-BUS. Bus: 0
pci.c: 8086:7190
pci.c: 8086:7191
pcisub.c: Scanning PCI-BUS. Bus: 1
pci.c: 8086:7110
pci.c: 8086:7111
pci.c: 8086:7112
pci.c: 8086:7113
pci.c: 15AD:0405
pci.c: 104B:1040
pci.c: 1022:2000
pci.c: 1274:1371
main.c: Enabling keyboard...
keyboard.c: Initializing keyboard...
keyboard.c: Keyboard driver installed.
fdd.c: Initializing Floppy device...
fdd.c: Dmabuffer is at ffe018
fdd.c: FDC version 0x81
fdd.c: enhanced controller found.
atainit.c: Found ATA/IDE PCI controller (8086:7111)
           PCI controller runs with compatibility mode at 0x1F0
           Primary : Base: 0x1f0, IRQ: 14, DMA: 00001050
           PCI controller runs with compatibility mode at 0x1F0
           Secondary: Base: 0x170, IRQ: 15, DMA: 00001058
ideinit.c: Allocating DMA transfer block and buffer
atainit.c: DMA Primary 0B879000 0B879000 00000800
atainit.c: DMA Secondary 0B878000 0B878000 00000800
resource.c: IO/Ports already in use. (00001050 - 0000105F). Requested: (00001058 - 00001067)
ata.c: Detecting and initializing ATA/ATAPI devices...
ide.c: Secondary/Slave not present
ata.c: Examining Master-Primary
ata.c: Examining Master-Slave
ata.c: AtaWaitData(...) timeout. Status is 00000000.
ata.c: ATA_CMD_ID failed, but signature doesn't match for ATAPI (00/00/00)
ata.c: AtaWaitData(...) timeout. Status is 00000000.
ata.c: ATA_CMD_PID failed. Status: 00000000 Error: 00000000
ata.c: Examining Secondary-Primary
ata.c: ATA device connected at Master-Primary (PIO4)
ata.c: Unknown device type connected at Master-Slave (PIO0)
ata.c: ATAPI device connected at Secondary-Primary (PIO4)
ata.c: No device connected at Secondary-Slave
hd.c: New device: /dev/hd0 using /dev/ide0 0 - 8388608, Unknown(0) (4096 MB)
part.c: Valid partition (0): 63 - 8386623 (Type: 236)
hd.c: Detected partitions: 4
hd.c: New device: /dev/hd0a using /dev/ide0 63 - 8386623, SkyFS(0) (4095 MB)
hd.c: New device: /dev/cd2 using /dev/atapi2 0 - 0, Unknown(0) (0 MB)
hd.c: Error while probing partitions on device /dev/cd2
vfs.c: Initializing virtual filesystem...
       Initializing VNode Cache SubSystem..
rootfs: Initializing rootfs.
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol rootfs
mount.c: Mounted device to rootfs
mount.c: New mount entry at 0x0B870018:
         SubFS : rootfs
         MountPoint: /
         Device :
         Mountnode : 0B870018
skyfs.c: Initializing SkyFS
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol skyfs
fat.c: Initializing FAT-FS.
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol fat
sysintfs: Initializing sysintfs. (read only)
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol sysintfs
mount.c: Mounted device to sysintfs
mount.c: New mount entry at 0x0B83C018:
         SubFS : sysintfs
         MountPoint: /systeminterface
         Device :
         Mountnode : 0B83C018
CDFS.c: Initializing CDFS (ISO9660)... (read only) 1433f0
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol cdfs
environ.c: Initializing environment tree...
module.c: Initializing module manager...
module.c: Module manager initialized.
swap.c: Initializing swapper...
main.c: Switching to SkyGI WM...
main.c: Enable serial debugger...
gitask.c: critical section at 0
gitask.c: Task for SkyGI at e7c018
automnt.c: Automounting disk devices...
automnt.c: Check /dev/hd0a using skyfs for bootdevice...
mount 00E79EA4
disk_super_block:
  name = SkyOS
  magic1 = 0x42465331 (BFS1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 2096640
  used_blocks = 325532
  inode_size = 2048
  magic2 = 0xdd121031 (...1) valid
  blocks_per_ag = 4
  ag_shift = 16 (8453766948913152 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (554050781184, 2048, 15163416)
  log_start = 2003
  log_end = 2003
  magic3 = 0x15b6830e (....) valid
  root_dir = (8, 1, 15163416)
  indices = (9350143803392, 1, 15163416)
disk_super_block:
  name = SkyOS
  magic1 = 0x42465331 (BFS1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 2096640
  used_blocks = 325532
  inode_size = 2048
  magic2 = 0xdd121031 (...1) valid
  blocks_per_ag = 4
  ag_shift = 16 (8453766948913152 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (554050781184, 2048, 15163416)
  log_start = 2003
  log_end = 2003
  magic3 = 0x15b6830e (....) valid
  root_dir = (8, 1, 15163416)
  indices = (9350143803392, 1, 15163416)
buffer.c: Add device to cache subsystem.
buffer.c: Success
going on
init check
new vnode
skyfs.c: Mounted skyfs (00E78018, 00E76018)
         RootVnode: 524288
mount.c: Mounted device to skyfs
mount.c: New mount entry at 0x00E76018:
         SubFS : skyfs
         MountPoint: /automnt
         Device : /dev/hd0a
         Mountnode : 00E76018
automnt.c: Mount /dev/hd0a as bootdevice to /boot
skyfs: umount...
free journal
free indices
free cached blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 137 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 137 0
done
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 137 0
buffer.c: Remove device from cache subsystem.
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 137 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 0 0
skyfs: unmount done.
mount 0B7260C0
disk_super_block:
  name = SkyOS
  magic1 = 0x42465331 (BFS1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 2096640
  used_blocks = 325532
  inode_size = 2048
  magic2 = 0xdd121031 (...1) valid
  blocks_per_ag = 4
  ag_shift = 16 (8453766948913152 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (554050781184, 2048, 15155224)
  log_start = 2003
  log_end = 2003
  magic3 = 0x15b6830e (....) valid
  root_dir = (8, 1, 15155224)
  indices = (9350143803392, 1, 15155224)
disk_super_block:
  name = SkyOS
  magic1 = 0x42465331 (BFS1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 2096640
  used_blocks = 325532
  inode_size = 2048
  magic2 = 0xdd121031 (...1) valid
  blocks_per_ag = 4
  ag_shift = 16 (8453766948913152 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (554050781184, 2048, 15155224)
  log_start = 2003
  log_end = 2003
  magic3 = 0x15b6830e (....) valid
  root_dir = (8, 1, 15155224)
  indices = (9350143803392, 1, 15155224)
buffer.c: Add device to cache subsystem.
buffer.c: Success
going on
init check
new vnode
skyfs.c: Mounted skyfs (0B726214, 00E74018)
         RootVnode: 524288
mount.c: Mounted device to skyfs
mount.c: New mount entry at 0x00E74018:
         SubFS : skyfs
         MountPoint: /boot
         Device : /dev/hd0a
         Mountnode : 00E74018
fatfs.c: Mount FAT filesystem...
buffer.c: Add device to cache subsystem.
buffer.c: Success
fatfs.c: BytePerSector 0 not supported.
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd2 0 0 0
        Locked: 524288 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
        Locked: 2177 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
/dev/hd0a 0 130 2
buffer.c: Remove device from cache subsystem.
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd2 0 0 0
        Locked: 524288 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
        Locked: 2177 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
/dev/hd0a 0 130 2
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd2 0 0 0
        Locked: 524288 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
        Locked: 2177 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
/dev/hd0a 0 130 2
iso9660.c: Mounting device...
buffer.c: Add device to cache subsystem.
buffer.c: Success
iso9660.c: dc size is 2048
iso9660.c: Volume is formatted with CDFS
iso9660.c: Volume size is 394MB
iso9660.c: Pathtable size is 1248
iso9660.c: Pathtable start at: 116
mount.c: Mounted device to cdfs
mount.c: New mount entry at 0x0B72E018:
         SubFS : cdfs
         MountPoint: /cdfs0
         Device : /dev/cd2
         Mountnode : 0B72E018
Loading registry....
trap.c: Multiple interrupts disabled
ps2mouse.c: Initializing PS2 mouse..
ps2mouse.c: Ok
newgui.c: Keyboard driver opened
mouse.c: Unable to open com port 1. No Microsoft compatible mouse found
uart.c: /dev/ser1: Opened with 56700
mouse.c: searching at /dev/ser2
mouse.c: No Microsoft compatible mouse found
newgui.c: Input driver opened
gitask.c: Loading kernel symbols...
except.c: Fd is 3
usb.c: Initializing USB stack...
8563530:Initializing USB stack...
uhci.c: Detecting UHCI...
uhci.c: Init UHCI controller
uhci.c: UHCI controller found. IRQ: 9 Base: 00001060
uhci.c: 8086/7112
8563602:New USB device 1 on bus 0
8563614:Desriptor read successful. Max packet size: 8
8563618:New USB Device summary:
8563620:------------------------------------------------------------
8563624:Device 1 on bus 0
usb.c: Product: USB UHCI Root Hub
usb.c: SerialNumber: 1060
8563629:Implemented interfaces: 1
8563631:Class : 00000009
8563632:SubClass: 00000000
8563633:Protocol: 00000000
8563635:Vendor : 00000000
8563636:Product : 00000000
8563638:Configs : 00000001
8563639:Interfaces : 00000001
8563641:Parse interface 00000000..
8563643:Alternate interfaces: 00000001
8563645:Parse alternate interface: 00000000
8563647: Class: 00000009 Sub: 00000000 Protocol: 00000000 Interface: 00000000
8563655:Interface drivers created: 1, failed: 0, rejected: 0
uhci.c: Skipping additional controllers
gitask.c: Loading init application....
8564170: setup.app: main.c: Change cursor 0 20 20 0 0
8564175: setup.app: main.c: Change cursor 7 20 20 3 8
8564179: setup.app: main.c: Change cursor 8 20 20 6 6
8564184: setup.app: main.c: Change cursor 9 20 20 6 6
8564189: setup.app: main.c: Change cursor 10 20 20 3 8
8564193: setup.app: main.c: Change cursor 11 20 20 6 6
8564200: setup.app: main.c: Change cursor 12 20 20 6 6
8564205: setup.app: main.c: Change cursor 13 20 20 9 3
8564209: setup.app: main.c: Change cursor 14 20 20 9 3
8564214: setup.app: main.c: Change cursor 5 20 20 5 8
8564218: setup.app: main.c: Change cursor 4 20 20 9 9
8564222: setup.app: main.c: Change cursor 3 20 20 0 0
8564226: setup.app: Apply keyboard mapping /boot/system/settings/keyboard/enus.txt
8564328: setup.app: Setup: Loading driver...
skygi.c: Merge Software/Primary driver data
vesa.c: Init
vesa.c: Mode Request
vesa.c: Set Mode
RF: 16
GF: 8
BF: 0
RM: 8
GM: 8
BM: 8
vesa.c: LFB at fa000000
vesa.c: Screen is 640/480 at 32 bpp
vesa.c: lfb virtual at 0x0C000000. Size: 0x0012CA00
vesa.c: Enable MTRR for 0xFA000000. Size: 0x0012CA00
skygi.c: New graphic mode initialized
         Driver : /dev/GFX_VESA
         Resolution : 640/480 640/480 32 with 60 HZ
         Framebuffer: 0x0C000000
gigfx.c: Primary driver:
          Framebuffer: 0C000000
          Dimension : 640x480x32
ac97.c: AC97 Codec driver installed.
Initializing tcpip module... 3f98f4
Directory created...
ip.c: Initializing Internet Protocol...
udp.c: Initializing UDP Protocol...
tcp.c: Initializing TCP Protocol...
netif at 0C5A42EC
amdpcnet.c: Initializing....
amdpcnet.c: AmdPCNet Ethernet card detected at 0x1080. IRQ: 10
amdpcnet.c: PCnet / PCI II 79C970A
devicefs: Initializing devicefs. (read only)
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol devicefs
mount.c: Mounted device to devicefs
mount.c: New mount entry at 0x00DDC018:
         SubFS : devicefs
         MountPoint: /dev
         Device :
         Mountnode : 00DDC018
emu1k.c: Initializing...
es1371.c: Initializing ES1371...
es1371.c: found chip, vendor id 0x1274 device id 0x1371 revision 0x02
es1371.c: irq: 9, Handler: 0C609000
es1371.c: found es1371 rev 02 at io 0x00001400 irq 9
 features: joystick 0x0
AC97DetectCodec: AC97 codec found. Type: Unknown, Vendor: Cirrus Logic CS4297A rev A (435204/591304)
set 0 00004343
set 4 00004343
set 5 00004343
set 6 00004343
set 7 00001111
set 8 00004343
set 12 00004343
set 14 00004343
set 20 00004343
set 21 00004343
set 22 00004343
es1371.c: ES1371 device found
FFS.c: Initializing Fifo filesystem
FFS.c: memseting
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol fifofs
mount.c: Mounted device to fifofs
mount.c: New mount entry at 0x00D70018:
         SubFS : fifofs
         MountPoint: /fifo
         Device :
         Mountnode : 00D70018
lo.c: Initializing loopback device
8564847:Detecting Ati graphic card...
ati.c: Failed to init driver..
i386pe.c: Failed to initialize kernel module
nvidia.c: Initializing nvidia module...
8564867:Detecting NVidia graphic card...
8564869:No supported NVidia graphic card detected.
nvidia.c: Unable to init device..
i386pe.c: Failed to initialize kernel module
ppp.c: Initializing....
pty.c: Initializing pty filesystem
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol pty
mount.c: Mounted device to pty
mount.c: New mount entry at 0x00CC8018:
         SubFS : pty
         MountPoint: /pty
         Device :
         Mountnode : 00CC8018
8564912:No ATI Radeon graphic card found.
8564916:No ATI Radeon cards found.
rtl8139.c: Initializing....
rtl8139.c: no RTL8129/8139 Ethernet controller found
i386pe.c: Failed to initialize kernel module
sb.c: Initializing Soundblaster.
slip.c: Initializing....
UMFS.c: Initializing usermode filesystem
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol umfs
mount.c: Mounted device to umfs
mount.c: New mount entry at 0x00C0C018:
         SubFS : umfs
         MountPoint: /umfs
         Device :
         Mountnode : 00C0C018
here in vfs
vfs.c: Initialiting vfsdev filesystem driver
       Copyright (c) 2002 by Robert Szeleney
here in vfs
here in vfs
here in vfs
here in vfs
via82xx.c: Initializing...
via.c: Initializing....
via.c: no via Ethernet controller found
i386pe.c: Failed to initialize kernel module
current 001F06C4
current 0A900018
current: setup.app_t16_load
8565005:Detecting vmware graphic card...
8565008:Detected a Vmware SVGA2 graphic card
8565011:IOBase 0x00001460 - 0x00001470.
8565013:Vmware chip version 2 detected.
8565015:Video depth / bpp : 24/32
8565017:Max Width/Height : 2360/1770
8565020:Video Ram/Membase : 0x01000000/0xFA000000
8565022:Host BPP : 32
get string
get dir /boot
device found
gimsg.c: Received signal while waiting for message
8565284: setup.app: Switching to step 10
netdev look /dev/net_lo
netdev found /dev/net_amdpcnet
netdev found /dev/net_lo
netdev look /dev/net_lo
netdev found /dev/net_amdpcnet
netdev found /dev/net_lo
8565469: setup.app_t20: Apply keyboard mapping /boot/system/settings/keyboard/enus.txt
skygi.c: Merge Software/Primary driver data
vesa.c: Init
vesa.c: Mode Request
vesa.c: Set Mode
RF: 16
GF: 8
BF: 0
RM: 8
GM: 8
BM: 8
vesa.c: LFB at fa000000
vesa.c: Screen is 1024/768 at 32 bpp
vesa.c: lfb virtual at 0x0C8E0000. Size: 0x00301000
vesa.c: Enable MTRR for 0xFA000000. Size: 0x00301000
skygi.c: New graphic mode initialized
         Driver : /dev/GFX_VESA
         Resolution : 1024/768 1024/768 32 with 60 HZ
         Framebuffer: 0x0C8E0000
gigfx.c: Primary driver:
          Framebuffer: 0C8E0000
          Dimension : 1024x768x32
8565654: setup.app: Switching to step 1
gimsg.c: Received signal while waiting for message
bootlogo.c: Bootimage freed
memory.c: Memory summary for task BootAct
memory.c: ===========================================
memory.c: Freed page tables : 0 (0 KB)
memory.c: Freed heap pages : 0 (0 KB)
memory.c: Freed/Still used rw data : 0KB / 0KB
memory.c: Freed stack pages : 0 (0 KB)
memory.c: Still used heap pages : 0 (0 KB)
memory.c: Still used user pages : 0 (0 KB)
memory.c: Free memory : 157380 KB
memory.c: Memory summary end.
giwm.c: Destroy desktop
giwm.c: Destroy desktop done.
critical.c: remove user create critical section
critical.c: remove user create critical section
critical.c: remove user create critical section
memory.c: Memory summary for task setup.app
memory.c: ===========================================
memory.c: Freed page tables : 13 (52 KB)
memory.c: Freed heap pages : 939 (3756 KB)
memory.c: Freed/Still used rw data : 8KB / 2KB
memory.c: Freed stack pages : 0 (0 KB)
memory.c: Still used heap pages : -324 (-1327104 KB)
memory.c: Still used user pages : -338 (-1384448 KB)
memory.c: Free memory : 154212 KB
memory.c: Memory summary end.
memory.c: 48128 pages of RAM
memory.c: 40108 free pages
memory.c: 6441 used pages
memory.c: 562 used pages for DMA
memory.c: 1017 reserved pages
task: debugger bbba198 0
task: trasher bbba398 0
task: RegistrySerializer bbba718 0
task: Idle bbba018 0
task: modman bbba418 0
task: UsbHubThread b236218 0
task: Timer bbba098 0
task: fdd bbba298 0
task: Swap service bbba498 0
task: sysint b236298 0
task: netqueue b236518 0
task: login.app b236418 ad67c58
From 00401000 to 00403000 (0C001000) /boot/system/login.app
From 00403000 to 00404000 (0C003000) /boot/system/login.app
From 00404000 to 00405000 (0C004000) /boot/system/login.app
From 00405000 to 00406000 (00000000) /boot/system/login.app
From 00406000 to 00407000 (0C006000) /boot/system/login.app
From 00408000 to 00BDF000 (00000000) Unknown
From 20001000 to 2001A000 (0C3DE000) /boot/system/dll/libsky.dll
From 2001A000 to 2001B000 (0C3F7000) /boot/system/dll/libsky.dll
From 2001B000 to 2001E000 (0C3F8000) /boot/system/dll/libsky.dll
From 2001E000 to 20020000 (00000000) /boot/system/dll/libsky.dll
From 20020000 to 20023000 (0C3FD000) /boot/system/dll/libsky.dll
From 20023000 to 20024000 (0C400000) /boot/system/dll/libsky.dll
From 2FF01000 to 2FF07000 (0C4CC000) /boot/system/dll/libregex.dll
From 2FF07000 to 2FF08000 (0C4D2000) /boot/system/dll/libregex.dll
From 2FF08000 to 2FF09000 (0C4D3000) /boot/system/dll/libregex.dll
From 2FF09000 to 2FF0A000 (00000000) /boot/system/dll/libregex.dll
From 2FF0A000 to 2FF0B000 (0C4D5000) /boot/system/dll/libregex.dll
From 2FF0B000 to 2FF0C000 (0C4D6000) /boot/system/dll/libregex.dll
From 30001000 to 3005E000 (0C426000) /boot/system/dll/libskygi.dll
From 3005E000 to 30061000 (0C483000) /boot/system/dll/libskygi.dll
From 30061000 to 3006A000 (0C486000) /boot/system/dll/libskygi.dll
From 3006A000 to 3006D000 (00000000) /boot/system/dll/libskygi.dll
From 3006D000 to 30072000 (0C492000) /boot/system/dll/libskygi.dll
From 30072000 to 30076000 (0C497000) /boot/system/dll/libskygi.dll
From 35001000 to 35004000 (0C404000) /boot/system/dll/libini.dll
From 35004000 to 35005000 (0C407000) /boot/system/dll/libini.dll
From 36001000 to 36002000 (0C3D6000) /boot/system/dll/libenc.dll
From 36002000 to 36003000 (0C3D7000) /boot/system/dll/libenc.dll
From 36003000 to 36005000 (0C3D8000) /boot/system/dll/libenc.dll
From 36005000 to 36006000 (0C3DA000) /boot/system/dll/libenc.dll
From 3B001000 to 3B006000 (0C4DA000) /boot/system/themes/plugin/windui/windui.dll
From 3B006000 to 3B007000 (0C4DF000) /boot/system/themes/plugin/windui/windui.dll
From 3B007000 to 3B009000 (0C4E0000) /boot/system/themes/plugin/windui/windui.dll
From 3B009000 to 3B00A000 (00000000) /boot/system/themes/plugin/windui/windui.dll
From 3B00A000 to 3B00B000 (0C4E3000) /boot/system/themes/plugin/windui/windui.dll
From 3B00B000 to 3B00C000 (0C4E4000) /boot/system/themes/plugin/windui/windui.dll
From 40001000 to 40004000 (0C40B000) /boot/system/dll/librsm.dll
From 40004000 to 40005000 (00000000) /boot/system/dll/librsm.dll
From 40005000 to 40006000 (0C40F000) /boot/system/dll/librsm.dll
From 40006000 to 40007000 (0C410000) /boot/system/dll/librsm.dll
From 45001000 to 45003000 (0C414000) /boot/system/dll/libuser.dll
From 45003000 to 45005000 (0C416000) /boot/system/dll/libuser.dll
From 45005000 to 45007000 (0C418000) /boot/system/dll/libuser.dll
From 45007000 to 45008000 (0C41A000) /boot/system/dll/libuser.dll
From 48001000 to 48023000 (0C49E000) /boot/system/dll/ft2-1-4.dll
From 48023000 to 48024000 (0C4C0000) /boot/system/dll/ft2-1-4.dll
From 48024000 to 4802B000 (0C4C1000) /boot/system/dll/ft2-1-4.dll
From 4802B000 to 4802C000 (0C4C8000) /boot/system/dll/ft2-1-4.dll
From 7FFF0000 to 80000000 (00000000) Unknown
task: Boot bbba118 0
task: flush bbba318 0
task: skygi bbba518 0
task: TcpReTransmit b236698 0
**********************************************************************
Exception 0x0D occured.
Exception report follows:
Task RegistrySerializer with PID 12 caused this exception while running in kernel mode.
Last sent GI message: 2520
SBRK at 0x00000000

Kernel modules:
0x0C598000 - 0x0C5B5000 /BOOT/SYSTEM/DRIVERS/TCPIP.DLD
0x0C77D000 - 0x0C78D000 /BOOT/SYSTEM/DRIVERS/VIA82XX.DLD
0x0C587000 - 0x0C598000 /BOOT/SYSTEM/DRIVERS/AMDPCNET.DLD
0x0C73C000 - 0x0C74B000 /BOOT/SYSTEM/DRIVERS/SLIP.DLD
0x0C576000 - 0x0C587000 /BOOT/SYSTEM/DRIVERS/AC97.DLD
0x0C5C3000 - 0x0C5E4000 /BOOT/SYSTEM/DRIVERS/DEVICEFS.DLD
0x0C63E000 - 0x0C65F000 /BOOT/SYSTEM/DRIVERS/LINUXVM.DLD
0x0C74B000 - 0x0C76F000 /BOOT/SYSTEM/DRIVERS/UMFS.DLD
0x0C68E000 - 0x0C69D000 /BOOT/SYSTEM/DRIVERS/NULLBLK.DLD
0x0C6D3000 - 0x0C6FA000 /BOOT/SYSTEM/DRIVERS/PTY.DLD
0x0C70E000 - 0x0C71C000 /BOOT/SYSTEM/DRIVERS/RAMDISK.DLD
0x0C5F2000 - 0x0C608000 /BOOT/SYSTEM/DRIVERS/EMU1K.DLD
0x0C6FA000 - 0x0C70E000 /BOOT/SYSTEM/DRIVERS/RADEON.DLD
0x0C6B6000 - 0x0C6C4000 /BOOT/SYSTEM/DRIVERS/PARALLEL.DLD
0x0C557000 - 0x0C576000 /BOOT/SYSTEM/DRIVERS/SNFS.DLD
0x0C61B000 - 0x0C63E000 /BOOT/SYSTEM/DRIVERS/FIFOFS.DLD
0x0C5E4000 - 0x0C5F2000 /BOOT/SYSTEM/DRIVERS/ELO.DLD
0x0C76F000 - 0x0C77D000 /BOOT/SYSTEM/DRIVERS/VFSDEV.DLD
0x0C608000 - 0x0C61B000 /BOOT/SYSTEM/DRIVERS/ES1371.DLD
0x0C72C000 - 0x0C73C000 /BOOT/SYSTEM/DRIVERS/SB.DLD
0x0C65F000 - 0x0C66E000 /BOOT/SYSTEM/DRIVERS/LO.DLD
0x0C66E000 - 0x0C680000 /BOOT/SYSTEM/DRIVERS/MACH64.DLD
0x0C71C000 - 0x0C72C000 /BOOT/SYSTEM/DRIVERS/RTL8139.DLD
0x0C69D000 - 0x0C6B6000 /BOOT/SYSTEM/DRIVERS/NVIDIA.DLD
0x0C5B5000 - 0x0C5C3000 /BOOT/SYSTEM/DRIVERS/DEBUGL.DLD
0x0C79D000 - 0x0C7AE000 /BOOT/SYSTEM/DRIVERS/VMWARE.DLD
0x0C680000 - 0x0C68E000 /BOOT/SYSTEM/DRIVERS/VMT.DLD
0x0C6C4000 - 0x0C6D3000 /BOOT/SYSTEM/DRIVERS/PPP.DLD
0x0C78D000 - 0x0C79D000 /BOOT/SYSTEM/DRIVERS/VIARHINE.DLD
 
Virtual memory regions:
Start End Offset Protection Module (Phys)
===================================================================
 
Important page entries:
Directory entry not valid
Page table entry for CR2: 0x00000000
Directory entry not valid
Page table entry for EIP: 0x00000000
Directory entry not valid
Page table entry for ESP: 0x00000000
 
Detailed processor status:
Error Code = 00000000, CR2 = 30024000 Stack: 0B640018
EAX = 00000000, EBX = EEEEEEEE, ECX = 0000000C, EDX = 00000000
EFL = 00014282, ESI = EEEEEEEE, EDI = EEEEEEEE, EBP = EEEEEEEE
ESP = 0B65E734, EIP = EEEEEEEE
CS = 0010, DS = 0018, ES = 0018
FS = 0018, GS = 0018, SS = 0018


No kernel stack voilation occured..




Kernel stack backtrace from 0xEEEEEEEE / 0xEEEEEEEE
Kernel stack backtrace from 0xEEEEEEEE / 0xEEEEEEEE
<core: kernel> 0xEEEEEEEE
<core: kernel> 0xEEEEEEEE

Disassembling code at fault address (Virtual: 0xEEEEEEEE Physical: 0x00000000):
memory.c: 48128 pages of RAM
memory.c: 40107 free pages
memory.c: 6442 used pages
memory.c: 562 used pages for DMA
memory.c: 1017 reserved pages
task: debugger bbba198 0
task: trasher bbba398 0
task: RegistrySerializer bbba718 0
task: Idle bbba018 0
task: modman bbba418 0
task: UsbHubThread b236218 0
task: Timer bbba098 0
task: fdd bbba298 0
task: Swap service bbba498 0
task: sysint b236298 0
task: netqueue b236518 0
task: login.app b236418 ad67c58
From 00401000 to 00403000 (0C001000) /boot/system/login.app
From 00403000 to 00404000 (0C003000) /boot/system/login.app
From 00404000 to 00405000 (0C004000) /boot/system/login.app
From 00405000 to 00406000 (00000000) /boot/system/login.app
From 00406000 to 00407000 (0C006000) /boot/system/login.app
From 00408000 to 00BDF000 (00000000) Unknown
From 20001000 to 2001A000 (0C3DE000) /boot/system/dll/libsky.dll
From 2001A000 to 2001B000 (0C3F7000) /boot/system/dll/libsky.dll
From 2001B000 to 2001E000 (0C3F8000) /boot/system/dll/libsky.dll
From 2001E000 to 20020000 (00000000) /boot/system/dll/libsky.dll
From 20020000 to 20023000 (0C3FD000) /boot/system/dll/libsky.dll
From 20023000 to 20024000 (0C400000) /boot/system/dll/libsky.dll
From 2FF01000 to 2FF07000 (0C4CC000) /boot/system/dll/libregex.dll
From 2FF07000 to 2FF08000 (0C4D2000) /boot/system/dll/libregex.dll
From 2FF08000 to 2FF09000 (0C4D3000) /boot/system/dll/libregex.dll
From 2FF09000 to 2FF0A000 (00000000) /boot/system/dll/libregex.dll
From 2FF0A000 to 2FF0B000 (0C4D5000) /boot/system/dll/libregex.dll
From 2FF0B000 to 2FF0C000 (0C4D6000) /boot/system/dll/libregex.dll
From 30001000 to 3005E000 (0C426000) /boot/system/dll/libskygi.dll
From 3005E000 to 30061000 (0C483000) /boot/system/dll/libskygi.dll
From 30061000 to 3006A000 (0C486000) /boot/system/dll/libskygi.dll
From 3006A000 to 3006D000 (00000000) /boot/system/dll/libskygi.dll
From 3006D000 to 30072000 (0C492000) /boot/system/dll/libskygi.dll
From 30072000 to 30076000 (0C497000) /boot/system/dll/libskygi.dll
From 35001000 to 35004000 (0C404000) /boot/system/dll/libini.dll
From 35004000 to 35005000 (0C407000) /boot/system/dll/libini.dll
From 36001000 to 36002000 (0C3D6000) /boot/system/dll/libenc.dll
From 36002000 to 36003000 (0C3D7000) /boot/system/dll/libenc.dll
From 36003000 to 36005000 (0C3D8000) /boot/system/dll/libenc.dll
From 36005000 to 36006000 (0C3DA000) /boot/system/dll/libenc.dll
From 3B001000 to 3B006000 (0C4DA000) /boot/system/themes/plugin/windui/windui.dll
From 3B006000 to 3B007000 (0C4DF000) /boot/system/themes/plugin/windui/windui.dll
From 3B007000 to 3B009000 (0C4E0000) /boot/system/themes/plugin/windui/windui.dll
From 3B009000 to 3B00A000 (00000000) /boot/system/themes/plugin/windui/windui.dll
From 3B00A000 to 3B00B000 (0C4E3000) /boot/system/themes/plugin/windui/windui.dll
From 3B00B000 to 3B00C000 (0C4E4000) /boot/system/themes/plugin/windui/windui.dll
From 40001000 to 40004000 (0C40B000) /boot/system/dll/librsm.dll
From 40004000 to 40005000 (00000000) /boot/system/dll/librsm.dll
From 40005000 to 40006000 (0C40F000) /boot/system/dll/librsm.dll
From 40006000 to 40007000 (0C410000) /boot/system/dll/librsm.dll
From 45001000 to 45003000 (0C414000) /boot/system/dll/libuser.dll
From 45003000 to 45005000 (0C416000) /boot/system/dll/libuser.dll
From 45005000 to 45007000 (0C418000) /boot/system/dll/libuser.dll
From 45007000 to 45008000 (0C41A000) /boot/system/dll/libuser.dll
From 48001000 to 48023000 (0C49E000) /boot/system/dll/ft2-1-4.dll
From 48023000 to 48024000 (0C4C0000) /boot/system/dll/ft2-1-4.dll
From 48024000 to 4802B000 (0C4C1000) /boot/system/dll/ft2-1-4.dll
From 4802B000 to 4802C000 (0C4C8000) /boot/system/dll/ft2-1-4.dll
From 7FFF0000 to 80000000 (00000000) Unknown
task: Boot bbba118 0
task: flush bbba318 0
task: skygi bbba518 0
task: TcpReTransmit b236698 0
**********************************************************************
Exception 0x0D occured.
Exception report follows:
Task RegistrySerializer with PID 12 caused this exception while running in kernel mode.
Last sent GI message: 2520
SBRK at 0x00000000

Kernel modules:
0x0C598000 - 0x0C5B5000 /BOOT/SYSTEM/DRIVERS/TCPIP.DLD
0x0C77D000 - 0x0C78D000 /BOOT/SYSTEM/DRIVERS/VIA82XX.DLD
0x0C587000 - 0x0C598000 /BOOT/SYSTEM/DRIVERS/AMDPCNET.DLD
0x0C73C000 - 0x0C74B000 /BOOT/SYSTEM/DRIVERS/SLIP.DLD
0x0C576000 - 0x0C587000 /BOOT/SYSTEM/DRIVERS/AC97.DLD
0x0C5C3000 - 0x0C5E4000 /BOOT/SYSTEM/DRIVERS/DEVICEFS.DLD
0x0C63E000 - 0x0C65F000 /BOOT/SYSTEM/DRIVERS/LINUXVM.DLD
0x0C74B000 - 0x0C76F000 /BOOT/SYSTEM/DRIVERS/UMFS.DLD
0x0C68E000 - 0x0C69D000 /BOOT/SYSTEM/DRIVERS/NULLBLK.DLD
0x0C6D3000 - 0x0C6FA000 /BOOT/SYSTEM/DRIVERS/PTY.DLD
0x0C70E000 - 0x0C71C000 /BOOT/SYSTEM/DRIVERS/RAMDISK.DLD
0x0C5F2000 - 0x0C608000 /BOOT/SYSTEM/DRIVERS/EMU1K.DLD
0x0C6FA000 - 0x0C70E000 /BOOT/SYSTEM/DRIVERS/RADEON.DLD
0x0C6B6000 - 0x0C6C4000 /BOOT/SYSTEM/DRIVERS/PARALLEL.DLD
0x0C557000 - 0x0C576000 /BOOT/SYSTEM/DRIVERS/SNFS.DLD
0x0C61B000 - 0x0C63E000 /BOOT/SYSTEM/DRIVERS/FIFOFS.DLD
0x0C5E4000 - 0x0C5F2000 /BOOT/SYSTEM/DRIVERS/ELO.DLD
0x0C76F000 - 0x0C77D000 /BOOT/SYSTEM/DRIVERS/VFSDEV.DLD
0x0C608000 - 0x0C61B000 /BOOT/SYSTEM/DRIVERS/ES1371.DLD
0x0C72C000 - 0x0C73C000 /BOOT/SYSTEM/DRIVERS/SB.DLD
0x0C65F000 - 0x0C66E000 /BOOT/SYSTEM/DRIVERS/LO.DLD
0x0C66E000 - 0x0C680000 /BOOT/SYSTEM/DRIVERS/MACH64.DLD
0x0C71C000 - 0x0C72C000 /BOOT/SYSTEM/DRIVERS/RTL8139.DLD
0x0C69D000 - 0x0C6B6000 /BOOT/SYSTEM/DRIVERS/NVIDIA.DLD
0x0C5B5000 - 0x0C5C3000 /BOOT/SYSTEM/DRIVERS/DEBUGL.DLD
0x0C79D000 - 0x0C7AE000 /BOOT/SYSTEM/DRIVERS/VMWARE.DLD
0x0C680000 - 0x0C68E000 /BOOT/SYSTEM/DRIVERS/VMT.DLD
0x0C6C4000 - 0x0C6D3000 /BOOT/SYSTEM/DRIVERS/PPP.DLD
0x0C78D000 - 0x0C79D000 /BOOT/SYSTEM/DRIVERS/VIARHINE.DLD
 
Virtual memory regions:
Start End Offset Protection Module (Phys)
===================================================================
 
Important page entries:
Directory entry not valid
Page table entry for CR2: 0x00000000
Page table entry for EIP: 0x00123007
Directory entry not valid
Page table entry for ESP: 0x00000000
 
Detailed processor status:
Error Code = 00000000, CR2 = 30024000 Stack: 0B640018
EAX = 00000000, EBX = 00000014, ECX = 00000000, EDX = 00000000
EFL = 00010093, ESI = EEEEEEEE, EDI = 00000F02, EBP = 0B65E550
ESP = 0B65E4C8, EIP = 00123594
CS = 0010, DS = 0018, ES = 0018
FS = 0018, GS = 0018, SS = 0018


No kernel stack voilation occured..




Kernel stack backtrace from 0x00123594 / 0x0B65E550
Kernel stack backtrace from 0x00123594 / 0x0B65E550
<core: kernel> 0x00123594
<core: kernel> 0x00123594
<core: kernel> 0x0011E888
<core: kernel> 0x0011E888
<core: kernel> 0x001063E4
<core: kernel> 0x001063E4
<core: kernel> 0x001061CF
<core: kernel> 0x001061CF
<core: kernel> 0x001D1BCD
<core: kernel> 0x001D1BCD

Disassembling code at fault address (Virtual: 0x00123594 Physical: 0x00123594):
100000:00123594 movzx edx,[ecx+esi]
100000:00123598 mov [ecx+536898658],dl
100000:0012359E inc ecx
100000:0012359F cmp ecx,ebx
100000:001235A1 jc <NULL>
100000:001235A3 mov [<NULL>],ebx
100000:001235A9 inc [<NULL>]
100000:001235AF add [<NULL>],32
100000:001235B6 movzx ecx,[<NULL>]
100000:001235BD mov eax,<NULL>
100000:001235C2 mov [<NULL>],eax
100000:001235C7 mov esi,[<NULL>+ecx*1936957]
100000:001235CE mov [esp],esi
100000:001235D1 call <NULL>
100000:001235D6 mov edx,[<NULL>]
Memory at EIP (Virtual: 0x001235DC Physical: 0x001235DC):
Memory dump at CR2 (Virtual: 0x30024000 Physical: 0x00000000):
<invalid>

D: N Desktop 0000/0000 1023/0767 1 NULL 0A014018
W: Y login 0000/0000 1024/0770 1 Desktop 0A014018
W: N Client 0000/0000 1024/0770 1 login 0A014018
     (000) (OPAQUE) 522/0 566/304
     (001) (OPAQUE) 468/0 512/304
     (002) (OPAQUE) 522/535 566/767
     (003) (OPAQUE) 468/535 512/767
     (004) (OPAQUE) 513/535 521/767
     (005) (OPAQUE) 567/535 568/767
     (006) (OPAQUE) 456/535 467/767
     (007) (OPAQUE) 522/495 566/501
     (008) (OPAQUE) 468/495 512/501
     (009) (OPAQUE) 513/495 521/501
     (010) (OPAQUE) 567/495 568/501
     (011) (OPAQUE) 456/495 467/501
     (012) (OPAQUE) 432/495 455/767
     (013) (OPAQUE) 569/495 592/767
     (014) (OPAQUE) 593/0 1023/767
     (015) (OPAQUE) 0/0 431/767
     (016) (OPAQUE) 522/350 566/448
     (017) (OPAQUE) 522/469 566/474
     (018) (OPAQUE) 468/350 512/448
     (019) (OPAQUE) 468/469 512/474
     (020) (OPAQUE) 513/0 521/448
     (021) (OPAQUE) 513/469 521/474
     (022) (OPAQUE) 567/0 568/448
     (023) (OPAQUE) 567/469 568/474
     (024) (OPAQUE) 456/0 467/448
     (025) (OPAQUE) 456/469 467/474
     (026) (OPAQUE) 432/0 455/448
     (027) (OPAQUE) 432/469 455/474
     (028) (OPAQUE) 569/0 592/448
     (029) (OPAQUE) 569/469 592/474
W: N 0522/0305 0566/0349 1 Client 0A014018
     (000) (OPAQUE) 522/305 566/349
W: N 0468/0305 0512/0349 1 Client 0A014018
     (000) (OPAQUE) 468/305 512/349
W: N Login 0456/0502 0568/0534 1 Client 0A014018
     (000) (OPAQUE) 456/502 568/534
W: N 0432/0475 0592/0494 1 Client 0A014018
     (000) (OPAQUE) 432/475 592/494
W: N 0432/0449 0592/0468 1 Client 0A014018
     (000) (OPAQUE) 432/449 592/468
System halted.
debugger.c: Kernel debugger ready!
$>
(0000174)
centimetre (developer)
2004-09-24 04:22

I have a very similar issue, except that it was always frozen was never able to get back into the OS and have to re-install. Unfortunately I don't have a debug log but wanted to highlight that it isn;t specific to Nemo's machine.

This was a native machine Pentium-III

- Issue History
Date Modified Username Field Change
2004-09-21 16:45 Nemo New Issue
2004-09-21 16:45 Nemo Note Added: 0000170
2004-09-24 04:22 centimetre Note Added: 0000174
2004-09-26 16:49 robert Status new => resolved
2004-09-26 16:49 robert Resolution open => fixed
2004-09-26 16:49 robert Assigned To => robert
2004-10-06 14:58 robert Project @2@ => SkyOS 5.0 - Beta


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker